light-mode-image
Learn
API ReferenceS-CWT Google Pass templates

Update a Google Pass template

Roles

adminissuermanaged-issuer

Analytics Events

CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_UPDATE_STARTCREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_UPDATE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_UPDATE_FAIL
PUT/v2/credentials/compact-semantic/digital-pass/google/templates/{id}

Updates a existing Google Pass template by providing its ID and a .zip file. Refer to our Design a Google Pass template guide for more information on how to design the template and how to structure the .zip file.

Analytic events

  • CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_UPDATE_START
  • CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_UPDATE_SUCCESS
  • CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Google Pass template ID

id*string

Template ID

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/credentials/compact-semantic/digital-pass/google/templates/string" \  -F template="string" \  -F name="string" \  -F issuerId="string" \  -F serviceAccountClientEmail="string" \  -F serviceAccountPrivateKey="string"
{  "id": "string",  "passType": "apple",  "name": "string",  "metadata": {    "issuerId": "string",    "serviceAccountClientEmail": "string",    "payPassId": "string"  }}

How would you rate this page?